%define upstream_name    Unicode-LineBreak
%define upstream_version 1.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    UAX #14 Unicode Line Breaking Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(MIME::Charset)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Text::LineFold folds or unfolds lines of plain text. As it mainly focuses
on plain text e-mail messages, RFC 3676 flowed format is also supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
cd linebreak-c
autoreconf -fi

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jan 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.0-1mdv2011.0
+ Revision: 627503
- update to new version 1.011

* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.0-2mdv2011.0
+ Revision: 626855
- english summary

* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.0-1mdv2011.0
+ Revision: 626837
- update to new version 1.010

* Tue Nov 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.2-1mdv2011.0
+ Revision: 598107
- new version

* Sat Oct 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.520-1mdv2011.0
+ Revision: 582572
- import perl-Unicode-LineBreak

